From 04fa72caeae0f8dd7accb623d7f672fc3b190708 Mon Sep 17 00:00:00 2001
From: David Seifert <soap@gentoo.org>
Date: Fri, 13 Jan 2017 16:11:08 +0100
Subject: [PATCH 2/4] Make building/installing examples optional

---
 Makefile.am  | 6 +++++-
 configure.ac | 5 +++++
 2 files changed, 10 insertions(+), 1 deletion(-)

diff --git a/Makefile.am b/Makefile.am
index a325e3a9..38aea04a 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -31,7 +31,11 @@
 
 ACLOCAL_AMFLAGS = -I m4
 
-SUBDIRS = doc include m4 man src examples test build objs microbench
+SUBDIRS = doc include m4 man src test build objs microbench
+
+if EXAMPLES
+SUBDIRS += examples
+endif
 
 EXTRA_DIST = \
 	COPYING.FDL \
diff --git a/configure.ac b/configure.ac
index ba97bac0..9eb2c243 100644
--- a/configure.ac
+++ b/configure.ac
@@ -353,6 +353,11 @@ AC_DEFINE_UNQUOTED([FLAC__HAS_OGG],$FLAC__HAS_OGG,[define if you have the ogg li
 AC_SUBST(FLAC__HAS_OGG)
 AC_SUBST(OGG_PACKAGE)
 
+dnl Build examples?
+AC_ARG_ENABLE([examples],
+	AS_HELP_STRING([--disable-examples], [Don't build and install examples]))
+AM_CONDITIONAL([EXAMPLES], [test "x$enable_examples" != "xno"])
+
 dnl check for i18n(internationalization); these are from libiconv/gettext
 AM_ICONV
 AM_LANGINFO_CODESET
-- 
2.11.0

